NtlmAuthTest (jTDS API)
Keywords: net.sourceforge.jtds.test.NtlmAuthTest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class NtlmAuthTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jtds.test.TestBase
                  net.sourceforge.jtds.test.NtlmAuthTest

All Implemented Interfaces:
  junit.framework.Test

public class NtlmAuthTest
extends TestBase

Unit test for NTLM challenge/response calculation

Version:
  $Id: NtlmAuthTest.java,v 1.5.2.1 2009/08/04 10:33:54 ickzon Exp $
Author:
  mdb

Field Summary

Fields inherited from class net.sourceforge.jtds.test.TestBase
`con, props`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`NtlmAuthTest(java.lang.String name)`

Method Summary
`static byte[]` | `hexToBytes(java.lang.String hex)`
`void` | `testChallengeResponse()` Tests the NT challenge/response against a known-good value.
`void` | `testLMv2()`
`void` | `testLMv2CapturedData()`
`void` | `testNTLMv2()`
`void` | `testNTLMv2CapturedData()`
`void` | `testTimestampConversion()`

Methods inherited from class net.sourceforge.jtds.test.TestBase
`compareInputStreams, compareReaders, connect, dump, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NtlmAuthTest

    public NtlmAuthTest(java.lang.String name)

Method Detail

### hexToBytes

    public static byte[] hexToBytes(java.lang.String hex)

### testChallengeResponse

    public void testChallengeResponse()
                               throws java.lang.Exception

  Tests the NT challenge/response against a known-good value. This was captured from a successful login to one of my (mdb's) test computers.

  Throws:
    `java.lang.Exception`

### testLMv2

    public void testLMv2()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testNTLMv2

    public void testNTLMv2()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testTimestampConversion

    public void testTimestampConversion()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLMv2CapturedData

    public void testLMv2CapturedData()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testNTLMv2CapturedData

    public void testNTLMv2CapturedData()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009